
Infrastructure - Task #2894

Story # 2720 (Closed): KNB, LTER, PISCO, ESA, SANPARKS roll out

Task # 2882 (Closed): KNB MN upgrade

Detail steps for moving postgres db to new KNB

2012-06-08 21:39 - Ben Leinfelder

Status: Closed Start date: 2012-06-08

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The script uses pg_dump for the knb database. We should run this after shutting down tomcat to ensure consistency with the

filesystem.

For reference, the nightly script on old KNB:  /var/lib/postgresql/dumps/pg_nightly_backup.sh

On original server:

sudo -u postgres bash -c "/usr/bin/pg_dump -Fc knb > /var/lib/postgresql/dumps/knb-nightly.dump"

scp /var/lib/postgresql/dumps/knb-nightly.dump leinfelder@mn-ucsb-3.dataone.org:/tmp/knb-nightly.dump

On target KNB:

sudo -u postgres bash -c "/usr/bin/pg_restore --disable-triggers --jobs=12 -d knb /tmp/knb-nightly.dump"

History

#1 - 2012-06-08 21:57 - Ben Leinfelder

- Status changed from New to In Progress

#2 - 2012-06-11 05:19 - Ben Leinfelder

added:

--jobs=12

--disable-triggers

to hopefully speed up the load time. We should have 12 processors on mn-ucsb-2 if the stats are correct and PG says it can utilize threads to load.

#3 - 2012-06-11 17:52 - Ben Leinfelder

- % Done changed from 0 to 60

Initial transfer and load is done. pg_restore step still takes 2-7 hours (sorry, I went to bed before it finished so don't have a better estimate)

#4 - 2012-06-12 02:07 - Ben Leinfelder

- Status changed from In Progress to Closed

DB is migrated over (preliminarily). Will need to do it again for final production switch.
